-- 伤害奖励
Lua_ChaosForestHurtRewardWindow = class("Lua_ChaosForestHurtRewardWindow", Lua_Window)
function Lua_ChaosForestHurtRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ChaosForestHurtRewardWindow";
	self.skinName = "ChaosForestHurtRewardWindow_skin"
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_ChaosForestHurtRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 626, 730, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, -68, 0);
	self.itemList:setListCell(Lua_ChaosForestHurtRewardCell, 626, 165, 1);
	self.itemList:setCellSpacing(0, 5);

	local arr = DataCenter.chaosForestUtil:getHurtRewardArr();
	arr:sortf(self, self.rewardSortFun);
	self.itemList:setArrayData(arr);
end

function Lua_ChaosForestHurtRewardWindow:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_ChaosForestHurtRewardWindow:rewardSortFun(a, b)
	local state_a = DataCenter.chaosForestData:getHurtRewardState(a);
	local state_b = DataCenter.chaosForestData:getHurtRewardState(b);
	if state_a == state_b then
		if a > b then
			return false;
		end
	elseif state_a > state_b then
		return false;
	end
	return true;
end




















Lua_ChaosForestHurtRewardCell = class("Lua_ChaosForestHurtRewardCell", Lua_ListCell)
function Lua_ChaosForestHurtRewardCell:ctor(p)
	self:superCall("ctor", p, "ChaosForestHurtRewardCell_skin");
end

function Lua_ChaosForestHurtRewardCell:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_ItemIconList.new(self.content);
	self.itemList:setLocation(-240, -21, 0);
	self.itemList.scaleVal = 0.7;
	self.itemList.pivot = 1;
end

function Lua_ChaosForestHurtRewardCell:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_ChaosForestHurtRewardCell:setData(data)
	if data == nil then
		return;
	end
	
	local state = DataCenter.chaosForestData:getHurtRewardState(data);
	if state == 2 then
		self.stateIcon:setAltas("common_altas_1", "xui_common_label_12");
	else
		self.stateIcon:setAltas("common_altas_4", "xui_common_label_28");
	end
	local config = DataCenter.chaosForestUtil:getHurtRewardInfo(data);
	self.titleText.text = LanUtil.formateStr(340017, numberTrans(config.hurt));
	self.itemList:setArrayData(config.reward);
end

function Lua_ChaosForestHurtRewardCell:onPressClick()
	self.itemList:onBoundClick();
end