-- 预告
Lua_ChaosForestNoticeWindow = class("Lua_ChaosForestNoticeWindow", Lua_Window);
function Lua_ChaosForestNoticeWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ChaosForestNoticeWindow";
	self.skinName = "ChaosForestNoticeWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_ChaosForestNoticeWindow:buildShowItem()
	self:superCall("buildShowItem");

	local data = DataCenter.chaosForestData;
	local maxRound = DataCenter.chaosForestUtil:getConstConfig("max_round", 1, 3);
	local round = data.round + 1;
	if data.round >= maxRound then
		round = 1;
	end
	local id = round * 1000 + 1;
	local config = DataCenter.chaosForestUtil:getLevelConfig(id);
	if config == nil then
		return;
	end

	self.nameText.text = config.name;
	local second = data.round_tick - DataCenter.roleData.serverTime;
	if second > 0 then
		self:startTimer();
		self:onTimer();
	else
		self:endTimer();
		self.timeText.text = nil;
	end

	local monsterConfig = Lua_MonsterPlayerConfigData.getConfigData(config.monster_id);
	local monsterId = monsterConfig.fighter_list[1][1][1];
	monsterConfig = Lua_MonsterConfigData.getMonsterConfig(monsterId);
	self.modelEffImg = UICreate.createModelEffImg(self.content, monsterConfig.heroVo.modelUrl, monsterConfig.heroVo.modelSrc, false, -15, 120, 0, 0);
	self.modelEffImg:setModelEffDir(180);
	self.modelEffImg.canRot = true;

	self.skillArr = Array();
	local list = monsterConfig.skill_list;
	if list ~= nil then
		local len = #list;
		local arr = Array();
		local configData;
		for i = 1, len do
			configData = Lua_SkillConfigData.getConfigData(list[i]);
			if configData.show_type ~= 1 then
				arr:add(configData);
			end
		end

		local item;
		len = arr:getSize();
		local space = 120;
		local w = space * (len - 1);
		local posX = - w / 2;
		for i = 1, len do
			item = Lua_SkillIconItem.new(self.content);
			item:setLocation(posX, -129.5, 0);
			item:setScale(0.9, 0.9, 1);
			item:setCanClick(true);
			item:setData(arr[i]);
			posX = posX + space;
			self.skillArr:add(item);
		end
	end

	self.btnConfirm:addClickFuntion(self, self.onBtnConfirmClick);
end

function Lua_ChaosForestNoticeWindow:dispose()
	self:endTimer();
	if self.modelEffImg ~= nil then
		self.modelEffImg:dispose();
		self.modelEffImg = nil;
	end
	if self.skillArr ~= nil then
		self.skillArr:dispose();
		self.skillArr:clear();
		self.skillArr = nil;
	end
	self:superCall("dispose");
end

function Lua_ChaosForestNoticeWindow:startTimer()
	if self.bTimer ~= true then
		self.bTimer = true;
		self:addTimer("Lua_ChaosForestNoticeWindow", 1, self, self.onTimer);
	end
end

function Lua_ChaosForestNoticeWindow:endTimer()
	if self.bTimer == true then
		self.bTimer = false;
		self:removeTimer(self, self.onTimer);
	end
end

function Lua_ChaosForestNoticeWindow:onTimer()
	local second = DataCenter.chaosForestData.round_tick - DataCenter.roleData.serverTime;
	if second > 0 then
		self.timeText.text = LanUtil.formateStr(340025, Lua_TimeTransform.transSeconds9(second));
	else
		self:endTimer();
		self.timeText.text = nil
	end
end

function Lua_ChaosForestNoticeWindow:onBtnConfirmClick(go)
	self:hide();
end