Lua_ChaosForestRankRewardWindow = class("Lua_ChaosForestRankRewardWindow", Lua_Window)
function Lua_ChaosForestRankRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ChaosForestRankRewardWindow";
	self.skinName = "ChaosForestRankRewardWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_ChaosForestRankRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 630, 720, Lua_AxisDefine.Vertical);
	self.itemList:setLocation(0, -98, 0);
	self.itemList:setListCell(Lua_ChaosForestRankRewardItem, 630, 120, 1);
	self.itemList:setCellSpacing(0, 5);

	local config = DataCenter.chaosForestUtil:getRankRewardConfig();
	self.itemList:setArrayData(config);
end

function Lua_ChaosForestRankRewardWindow:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end























Lua_ChaosForestRankRewardItem = class("Lua_ChaosForestRankRewardItem", Lua_ListCell)
function Lua_ChaosForestRankRewardItem:ctor(p)
	self:superCall("ctor", p, "ChaosForestRankRewardItem_skin");
end

function Lua_ChaosForestRankRewardItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_ItemIconList.new(self.content);
	self.itemList:setLocation(-55, 0, 0);
	self.itemList.pivot = 1;
	self.itemList.scaleVal = 0.75;
end

function Lua_ChaosForestRankRewardItem:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_ChaosForestRankRewardItem:setData(data)
	if data == nil then
		return;
	end

	if data.rank_range[1] <= 3 then
		self.rankIcon:setAltas("common_altas_4", "xui_jys_label_1"..(data.rank_range[1] - 1));
		self.rankText:setEnable(false);
	else
		self.rankIcon:setAltas("common_altas_4", "xui_jys_label_13");
		self.rankText:setEnable(true);
		self.rankText.fontSize = 30;
		self.rankText.colorStr = Lua_ColorDefine.transColorStr("FFFFFF");
		self.rankText.effectStyle = 2;
		self.rankText.effectColorStr = Lua_ColorDefine.transColor("3E3B44");
		self.rankText:setEffectDistance(2, 2);
		self.rankText:setLocation(-256.5, 1.5, 0);
		if data.rank_range[1] == data.rank_range[2] then
			self.rankText.text = data.rank_range[1];
		else
			self.rankText.text = LanUtil.formateStr(10052, tostring(data.rank_range[1]), tostring(data.rank_range[2]));
		end
		self.rankText.fontSize = data.font_size;
	end

	self.itemList:setArrayData(data.reward);
end

function Lua_ChaosForestRankRewardItem:onPressClick()
	self.itemList:onBoundClick();
end